using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

public class GameManager : MonoBehaviour
{
	public Text LevelText;
	public Text ScoreText;
    public GameObject TapToStartTextObj;
    public bool GameHasStarted = false;
	public GameObject GameOverPanel;
	public GameObject WinPanel;
	public Button RestartButton;
	public Button LoadNextLevelButton;

	private int _currentLevel = 1;
	private int _score = 0;

	void Start()
	{
		_currentLevel = Convert.ToInt32(Regex.Replace(SceneManager.loadedScene, @"[^\d]+", ""));
		LevelText.text = "Level: "+_currentLevel.ToString();


        RestartButton.onMouseDown += (UIElement sender, int button, Vector2 cursorPosition) =>
		{
			SceneManager.LoadScene(SceneManager.loadedScene);
		};

        LoadNextLevelButton.onMouseDown += (UIElement sender, int button, Vector2 cursorPosition) =>
        {
            SceneManager.LoadScene(_currentLevel+1+".scene");
        };
    }
	
	void Update()
	{
		if(GameHasStarted == false & Input.GetMouseButtonDown(0))
		{
			GameHasStarted = true;
			TapToStartTextObj.enabled = false;
		}
	}

	public void GameOver()
	{
		GameOverPanel.enabled = true;
	}
	public void IncreaseScore(int num)
	{
		_score += num;
		ScoreText.text = "Score: " + _score;
	}
	public void OnWin()
	{
		GameHasStarted = false;
        WinPanel.enabled = true;
	}
}
